/* 
 * ticks.c - draw pretty tick marks
 * 
 * Author:	Shawn Ostermann
 * 		Dept. of Computer Sciences
 * 		Purdue University
 * Date:	Sun Feb 21 21:33:27 1993
 *
 * Copyright (c) 1993 Shawn Ostermann
 */


#include <stdio.h>


float pertick;
int currpos;
int count;

inittick(max)
     int max;
{
	int i;

	currpos = 0.0;
	count = 0;
	pertick = (float) max / 70.0;
/*	printf("%f\n", pertick);*/

	fprintf(stderr,"|");
	for (i=0; i < 70; ++i) fprintf(stderr,"-");
	fprintf(stderr,"|");
	fprintf(stderr,"%c|", '\015');
	fflush(stderr);
}



drawtick(len)
     int len;
{
	int i;
	int newpos;

	count += len;

	newpos = (int) ((float) count / pertick);
/*printf("\nnewpos: %d\n", newpos);*/
/*printf("currpos: %d\n", newpos);*/
/*printf("count: %d\n", count);*/
	for (i=currpos; i < newpos; ++i)
	    if (i==currpos)
		fprintf(stderr,"#");
	    else
		fprintf(stderr,"=");

	currpos = newpos;

	fflush(stderr);
}


tickdone()
{
	fprintf(stderr,"|     \n");
}

